## gfal2-bindings 1.11.1

=== CMakeLists.txt ===
## cmake build script for gfal2 bindings
project (gfal2-bindings)
cmake_minimum_required (VERSION 2.6)
message("cmake source dir : ${CMAKE_SOURCE_DIR}")
# build type
set(CMAKE_BUILD_TYPE "RelWithDebInfo" 
        CACHE STRING "build type")
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")
# global options

# Find out details if we're on a redhat style platform
execute_process (COMMAND rpm -E "%{?fedora}" OUTPUT_VARIABLE FEDORA OUTPUT_STRIP_TRAILING_WHITESPACE)
execute_process (COMMAND rpm -E "%{?rhel}" OUTPUT_VARIABLE RHEL OUTPUT_STRIP_TRAILING_WHITESPACE)

# load module
include(DefineInstallationPaths REQUIRED)
include(MacroCopyFile REQUIRED)
include(ReleaseDebugAutoFlags REQUIRED)
include(CMakeGeneratePkgConfig REQUIRED)

set(Boost_NO_BOOST_CMAKE ON)

find_package(PythonEasy REQUIRED)

if (PYTHON_EXECUTABLE)
    if(RHEL STREQUAL "7")
      find_package(Boost COMPONENTS python REQUIRED)
    endif()
endif(PYTHON_EXECUTABLE)


if (PYTHON3_CURRENT_VERSION)
    string(REPLACE "." "" Boost_PYTHON_3_SUFFIX "${PYTHON3_CURRENT_VERSION}")

    find_library(Boost_PYTHON_3_LIBRARY
        NAMES boost_python${Boost_PYTHON_3_SUFFIX} boost_python-py${Boost_PYTHON_3_SUFFIX} boost_python3
        HINTS
            ${Boost_LIBRARYDIR}
            "/usr/lib"
            "/usr/lib64"
    )

    if (Boost_PYTHON_3_LIBRARY)
        message(STATUS "Boost Python3 library: ${Boost_PYTHON_3_LIBRARY}")
    else()
        message(WARNING "Boost Python3 library not found")
    endif()
endif()

#define PROJECT vars
set(PROJECT_NAME_MAIN "gfal2-python")

# EPYDOC definition for EPEL5 support
if (BUILDDOCS)
    set(EPYDOC_MODULE_PATH "${CMAKE_BINARY_DIR}/src/python2/gfal2.so")
    set(EPYDOC_MODULE_URL  "http://dmc.web.cern.ch/projects/gfal2-python")
    set(EPYDOC_MODULE_NAME "gfal2")

    include(MacroAddepydoc REQUIRED)
endif (BUILDDOCS)

set(VERSION_MAJOR 1)
set(VERSION_MINOR 11)
set(VERSION_PATCH 1)
set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
add_definitions(-DGFAL2_PYTHON_VERSION="${VERSION_STRING}")

# libs checks
find_package (GLIB2 REQUIRED)
find_package (GTHREAD2 REQUIRED)

# GFAL2
find_package(GFAL2 REQUIRED)

# Install doc license
if (BUILDDOCS)
install(FILES "LICENSE" "RELEASE-NOTES" "README" "readme.html"
                        DESTINATION ${DOC_INSTALL_DIR})
endif (BUILDDOCS)

add_definitions( -D_FILE_OFFSET_BITS=64 )

add_subdirectory (src)

if (NOT SKIP_TESTS)
  enable_testing()
  add_subdirectory (test)
endif (NOT SKIP_TESTS)

if (BUILDDOCS)
  add_subdirectory(doc)
  # Install examples
  install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/example/python/"
            DESTINATION ${DOC_INSTALL_DIR}/examples)
endif (BUILDDOCS)

=== debian/changelog ===
gfal2-bindings (1.11.1-1) unstable; urgency=medium

  * First release for Debian (Closes: #1011517)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 24 May 2022 10:14:43 +0200

=== debian/control ===
Source: gfal2-bindings
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 13),
 cmake,
 dh-python,
 libgfal2-dev (>= 2.20.0),
 libboost-dev,
 libboost-python-dev,
 python3-dev,
 pkg-config
Standards-Version: 4.6.1
Section: net
Vcs-Browser: https://salsa.debian.org/ellert/gfal2-bindings
Vcs-Git: https://salsa.debian.org/ellert/gfal2-bindings.git
Homepage: https://dmc-docs.web.cern.ch/dmc-docs/gfal2-python.html

Package: python3-gfal2
Architecture: any
Depends:
 libgfal2-2 (>= 2.20.0),
 libgfal-transfer2 (>= 2.20.0),
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends}
Provides:
 ${python3:Provides}
Description: Python bindings for gfal2
 Python bindings for gfal2. GFAL2 offers a single, simple and portable
 API for the file operations in grids and cloud environments.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

INSTALLDIR = debian/tmp

%:
	dh $@ --with python3 -- --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	   -DPYTHON2=FALSE \
	   -DUNIT_TESTS=TRUE \
	   -DSKIP_DOC=TRUE

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

## gfal2-bindings 1.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -60,8 +60,8 @@
 endif (BUILDDOCS)
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 11)
-set(VERSION_PATCH 1)
+set(VERSION_MINOR 12)
+set(VERSION_PATCH 0)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 add_definitions(-DGFAL2_PYTHON_VERSION="${VERSION_STRING}")

=== test/unit/CMakeLists.txt ===


add_test(create_install_all ${CMAKE_CURRENT_SOURCE_DIR}/unit_test_container.sh "python ${CMAKE_CURRENT_SOURCE_DIR}/creat_instance_all.py")

=== debian/changelog ===
gfal2-bindings (1.12.0-2) unstable; urgency=medium

  * Patch for Python 3.11 support from upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 03 Jan 2023 17:54:46 +0100

gfal2-bindings (1.12.0-1) unstable; urgency=medium

  * New release 1.12.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 11 Jul 2022 14:26:14 +0200

gfal2-bindings (1.11.1-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 08 Jun 2022 08:33:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
  debhelper (>= 13),
  cmake,
  dh-python,
- libgfal2-dev (>= 2.20.0),
+ libgfal2-dev (>= 2.21.0),
  libboost-dev,
  libboost-python-dev,
  python3-dev,
  pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/gfal2-bindings
 Vcs-Git: https://salsa.debian.org/ellert/gfal2-bindings.git
@@ -19,8 +19,8 @@
 Package: python3-gfal2
 Architecture: any
 Depends:
- libgfal2-2 (>= 2.20.0),
- libgfal-transfer2 (>= 2.20.0),
+ libgfal2-2 (>= 2.21.0),
+ libgfal-transfer2 (>= 2.21.0),
  ${shlibs:Depends},
  ${misc:Depends},
  ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	   -DPYTHON2=FALSE \
 	   -DUNIT_TESTS=TRUE \
-	   -DSKIP_DOC=TRUE
+	   -DBUILDDOCS=FALSE
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(INSTALLDIR)

## gfal2-bindings 1.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -61,7 +61,7 @@
 
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 12)
-set(VERSION_PATCH 0)
+set(VERSION_PATCH 1)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 add_definitions(-DGFAL2_PYTHON_VERSION="${VERSION_STRING}")

=== debian/changelog ===
gfal2-bindings (1.12.1-1) unstable; urgency=medium

  * New release 1.12.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 07 Sep 2023 09:45:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
- debhelper (>= 13),
+ debhelper-compat (= 13),
  cmake,
  dh-python,
  libgfal2-dev (>= 2.21.0),
  libboost-dev,
  libboost-python-dev,
  python3-dev,
+ python3-setuptools,
  pkg-config
 Standards-Version: 4.6.2
 Section: net
@@ -18,6 +19,7 @@
 
 Package: python3-gfal2
 Architecture: any
+Section: python
 Depends:
  libgfal2-2 (>= 2.21.0),
  libgfal-transfer2 (>= 2.21.0),

## gfal2-bindings 1.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -61,7 +61,7 @@
 
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 12)
-set(VERSION_PATCH 1)
+set(VERSION_PATCH 2)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 add_definitions(-DGFAL2_PYTHON_VERSION="${VERSION_STRING}")

=== doc/CMakeLists.txt ===

SET(MAIN_DOC TRUE
	CACHE STRING "enable installation of the main library documentation")	


##
## execute make doc for doc generation
#
IF(MAIN_DOC AND BUILDDOCS)

        file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html/")
        addEpydocGeneration("epydoc_config.in")

        SET( l_doc "${CMAKE_CURRENT_BINARY_DIR}/html/")

        install(DIRECTORY ${l_doc}
                        DESTINATION ${DOC_INSTALL_DIR}/html/) # install examples


ENDIF(MAIN_DOC AND BUILDDOCS)

=== packaging/Makefile ===
NAME=gfal2-python
SPEC=rpm/$(NAME).spec
VERSION=${shell grep '^Version:' $(SPEC) | awk '{print $$2}' }
# Leave blank. To be overriden by CI tools.
RELEASE=

CWD=${shell pwd}

RPMBUILD=/tmp/rpmbuild
SRPMS=$(CWD)
RPMS=$(CWD)/out

MOCK_CHROOT=epel-6-cernonly-x86_64
MOCK_FLAGS=--verbose


RPMDEFINES_SRC=--define='_topdir $(RPMBUILD)' \
	--define='_sourcedir $(CWD)' \
	--define='_builddir %{_topdir}/BUILD' \
	--define='_srcrpmdir $(SRPMS)' \
	--define='_rpmdir $(RPMS)' \
    --define "_source_filedigest_algorithm md5" \
    $(RPMBUILD_SRC_EXTRA_FLAGS)

RPMDEFINES_BIN=--define='_topdir $(RPMBUILD)' \
	--define='_sourcedir %{_topdir}/SOURCES' \
	--define='_builddir %{_topdir}/BUILD' \
	--define='_srcrpmdir $(SRPMS).' \
	--define='_rpmdir $(RPMS)' \
    --define "_binary_filedigest_algorithm md5" \
    $(RPMBUILD_BIN_EXTRA_FLAGS)


PBUILDER_FLAGS=
PBUILDER_TMP="/tmp/"


all: srpm

clean:
	rm -fv *.tar
	rm -fv *.tar.gz
	rm -fv *.rpm
	rm -fv *.log
	rm -rfv out
	rm -fv *.deb
	rm -fv *.gz
	rm -fv *.dsc
	rm -fv *.changes
	rm -rfv "$(RPMBUILD)"

dist: clean
	tar vczf "$(NAME)-$(VERSION).tar.gz" --exclude="packaging" --exclude-vcs --exclude=".git*" --exclude="ci/repo" --exclude="*.pyc" --exclude="setup.py" --transform="s,^,$(NAME)-$(VERSION)/," ..

$(RPMBUILD):
	mkdir -p "$(RPMBUILD)"

override_release: $(SPEC)
	$(if $(RELEASE), sed -i "s/Release:.*/Release: $(RELEASE)%{?dist}/g" "$(SPEC)")

srpm: dist $(SPEC) $(RPMBUILD) override_release
	/usr/bin/rpmbuild --nodeps -bs $(RPMDEFINES_SRC) $(SPEC)

rpm: srpm
	/usr/bin/rpmbuild --rebuild $(RPMDEFINES_BIN) $(NAME)-$(VERSION)-*.src.rpm

mock: srpm
	/usr/bin/mock $(MOCK_FLAGS) -r $(MOCK_CHROOT) $(NAME)-$(VERSION)-*.src.rpm

deb-src: dist
	rm -rf "$(PBUILDER_TMP)/$(NAME)-$(VERSION)"
	tar xzf "$(NAME)-$(VERSION).tar.gz" -C "$(PBUILDER_TMP)"
	cp -rv debian "$(PBUILDER_TMP)/$(NAME)-$(VERSION)"
	$(if $(RELEASE), sed -ri "s/($(NAME) )\((([0-9]+\.)+[0-9]+)-[0-9]+\)/\\1(\\2-$(RELEASE))/g" "$(PBUILDER_TMP)/$(NAME)-$(VERSION)/debian/changelog")
	cp -f "$(NAME)-$(VERSION).tar.gz" "$(PBUILDER_TMP)/$(NAME)_$(VERSION).orig.tar.gz" 
	cd "$(PBUILDER_TMP)/$(NAME)-$(VERSION)"; \
		debuild -us -uc -S
	mv $(PBUILDER_TMP)/$(NAME)_$(VERSION)*.gz .
	mv $(PBUILDER_TMP)/$(NAME)_$(VERSION)*.dsc .

deb: deb-src
	pbuilder build $(PBUILDER_FLAGS) $(NAME)_$(VERSION)*.dsc

=== src/CMakeLists.txt ===
include_directories(${Boost_INCLUDE_DIRS}
    ${GLIB2_INCLUDE_DIRS} ${GTHREAD2_INCLUDE_DIRS}
    ${GFAL2_INCLUDE_DIRS}
)

file(GLOB src_python "*.cpp")

set(Boost_USE_STATIC_LIBS OFF)
set(Boost_USE_MULTITHREADED ON)
set(Boost_USE_STATIC_RUNTIME OFF)

link_directories (
    ${GLIB2_LIBRARY_DIRS}
    ${GFAL2_LIBRARY_DIRS}
)

# Python 2
if (Boost_LIBRARIES)
     
    if(RHEL STREQUAL "7")
      set(PYTHON2_VER "")
    else()
      set(PYTHON2_VER "_${PYTHON_CURRENT_VERSION}")
    endif()
    
    add_library(gfal-py MODULE ${src_python})
    target_link_libraries(gfal-py
        ${Boost_LIBRARIES} ${GLIB2_LIBRARIES}  ${GTHREAD2_LIBRARIES}
        ${GFAL2_LIBRARIES}
    )
    set_target_properties(gfal-py
        PROPERTIES
            CLEAN_DIRECT_OUTPUT 1
            PREFIX ""
            OUTPUT_NAME gfal2
            LIBRARY_OUTPUT_DIRECTORY python2
    )
    set_property(TARGET gfal-py
        APPEND PROPERTY INCLUDE_DIRECTORIES ${PYTHON_INCLUDE_PATH${PYTHON2_VER}}
    )
    if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
        set_property(TARGET gfal-py APPEND PROPERTY LINK_FLAGS "-undefined dynamic_lookup")
    endif()

    install(TARGETS gfal-py 
	    RUNTIME		DESTINATION ${CMAKE_INSTALL_PREFIX}
	    LIBRARY		DESTINATION ${PYTHON_SITE_PACKAGES${PYTHON2_VER}}
    )
endif ()

# Python3
if (Boost_PYTHON_3_LIBRARY)

    set(PYTHON3_VER "_${PYTHON3_CURRENT_VERSION}")
    message(STATUS "Python${PYTHON3_CURRENT_VERSION} include: ${PYTHON_INCLUDE_PATH${PYTHON3_VER}}")
    message(STATUS "Python${PYTHON3_CURRENT_VERSION} libraries: ${PYTHON_LIBRARIES${PYTHON3_VER}}")
    message(STATUS "Python${PYTHON3_CURRENT_VERSION} site-packages: ${PYTHON_SITE_PACKAGES${PYTHON3_VER}}")

    add_library(gfal-py3 MODULE ${src_python})
    target_link_libraries(gfal-py3
        ${Boost_PYTHON_3_LIBRARY} ${GLIB2_LIBRARIES} ${GTHREAD_LIBRARIES}
        ${GFAL2_LIBRARIES}
    )
    set_target_properties(gfal-py3
        PROPERTIES
            CLEAN_DIRECT_OUTPUT 1
            PREFIX ""
            OUTPUT_NAME gfal2
            LIBRARY_OUTPUT_DIRECTORY python3
    )
    set_property(TARGET gfal-py3
        APPEND PROPERTY INCLUDE_DIRECTORIES ${PYTHON_INCLUDE_PATH${PYTHON3_VER}}
    )
    if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
        set_property(TARGET gfal-py3 APPEND PROPERTY LINK_FLAGS "-undefined dynamic_lookup")
    endif()

    install(TARGETS gfal-py3
        RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}
        LIBRARY DESTINATION ${PYTHON_SITE_PACKAGES${PYTHON3_VER}}
    )
endif ()

=== test/CMakeLists.txt ===
if(FUNCTIONAL_TESTS)
    add_subdirectory (functionals)
endif(FUNCTIONAL_TESTS)


if(UNIT_TESTS)
    add_subdirectory (unit)
endif(UNIT_TESTS)

=== test/functionals/CMakeLists.txt ===


add_test(all_functional_tests ${CMAKE_CURRENT_SOURCE_DIR}/exec_tests.sh)

=== debian/changelog ===
gfal2-bindings (1.12.2-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:42:50 +0000

gfal2-bindings (1.12.2-1ubuntu1) noble; urgency=medium

  * Drop hard-coded dependencies on shared libraries.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 11:34:17 +0100

gfal2-bindings (1.12.2-1build4) noble; urgency=high

  * No change rebuild against libgfal2-2t64, libgfal-transfer2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:21:05 +0100

gfal2-bindings (1.12.2-1build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:29:45 +0000

gfal2-bindings (1.12.2-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:24:57 +0000

gfal2-bindings (1.12.2-1build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:49:53 +0100

gfal2-bindings (1.12.2-1) unstable; urgency=medium

  * New release 1.12.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 13 Dec 2023 15:05:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: gfal2-bindings
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
  dh-python,
- libgfal2-dev (>= 2.21.0),
+ libgfal2-dev (>= 2.22.0),
  libboost-dev,
  libboost-python-dev,
  python3-dev,
@@ -21,8 +22,6 @@
 Architecture: any
 Section: python
 Depends:
- libgfal2-2 (>= 2.21.0),
- libgfal-transfer2 (>= 2.21.0),
  ${shlibs:Depends},
  ${misc:Depends},
  ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 INSTALLDIR = debian/tmp

## gfal2-bindings 1.13.0

=== CMakeLists.txt ===
# CMake build script for Gfal2 Python bindings
project(gfal2-bindings)
cmake_minimum_required(VERSION 3.12)

# Build type
set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "build type")
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")

# Load modules and definitions
include(DefineInstallationPaths REQUIRED)
include(MacroCopyFile REQUIRED)
include(ReleaseDebugAutoFlags REQUIRED)
include(CMakeGeneratePkgConfig REQUIRED)
set(Boost_NO_BOOST_CMAKE ON)

# Define version
set(VERSION_MAJOR 1)
set(VERSION_MINOR 13)
set(VERSION_PATCH 0)
set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
add_definitions(-DGFAL2_PYTHON_VERSION="${VERSION_STRING}")

# Find build packages
find_package(Python REQUIRED COMPONENTS Interpreter Development)
find_package(Boost COMPONENTS "python3${Python_VERSION_MINOR}")
if(NOT Boost_LIBRARIES)
  # Failed to find a specific Python3x version, fallback to Python3
  find_package(Boost COMPONENTS "python3" REQUIRED)
endif()
find_package(GLIB2 REQUIRED)
find_package(GTHREAD2 REQUIRED)
find_package(GFAL2 REQUIRED)

add_definitions(-D_FILE_OFFSET_BITS=64 )
add_subdirectory(src)

if (NOT SKIP_TESTS)
  enable_testing()
  add_subdirectory(test)
endif()

if (BUILDDOCS)
  # Install docs and license
  install(FILES "LICENSE" "RELEASE-NOTES" "README.md" "readme.html"
            DESTINATION ${DOC_INSTALL_DIR})

  # Install examples
  add_subdirectory(doc)
  install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/example/python/"
            DESTINATION ${DOC_INSTALL_DIR}/examples)
endif()

=== doc/CMakeLists.txt ===

SET(MAIN_DOC TRUE CACHE STRING "enable installation of the main library documentation")

# Execute "make doc" for doc generation
if (MAIN_DOC AND BUILDDOCS)
    file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html/")
    addEpydocGeneration("epydoc_config.in")
    # Install compiled examples
    SET(l_doc "${CMAKE_CURRENT_BINARY_DIR}/html/")
    install(DIRECTORY ${l_doc}
              DESTINATION ${DOC_INSTALL_DIR}/html/)
endif()

=== src/CMakeLists.txt ===
set(Boost_USE_STATIC_LIBS OFF)
set(Boost_USE_MULTITHREADED ON)
set(Boost_USE_STATIC_RUNTIME OFF)
file(GLOB src "*.cpp")

add_library(gfal-py3 MODULE ${src})
target_link_libraries(gfal-py3
    ${Boost_LIBRARIES}
    ${GLIB2_LIBRARIES}
    ${GTHREAD_LIBRARIES}
    ${GFAL2_LIBRARIES}
)
target_include_directories(gfal-py3 PRIVATE
    ${Python_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
    ${GLIB2_INCLUDE_DIRS}
    ${GFAL2_INCLUDE_DIRS}
)
set_target_properties(gfal-py3
    PROPERTIES
        CLEAN_DIRECT_OUTPUT 1
        PREFIX ""
        OUTPUT_NAME gfal2
        LIBRARY_OUTPUT_DIRECTORY python3
)

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    set_property(TARGET gfal-py3 APPEND PROPERTY LINK_FLAGS "-undefined dynamic_lookup")
endif()

install(TARGETS gfal-py3
    RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}
    LIBRARY DESTINATION ${Python_SITEARCH})

=== test/CMakeLists.txt ===
if (FUNCTIONAL_TESTS)
    add_subdirectory(functional)
endif()

if (UNIT_TESTS)
    add_subdirectory(unit)
endif()

=== test/functional/CMakeLists.txt ===
# Add functional tests
add_test(all_functional_tests ${CMAKE_CURRENT_SOURCE_DIR}/exec_tests.sh)

=== debian/changelog ===
gfal2-bindings (1.13.0-2build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:13:11 +0200

gfal2-bindings (1.13.0-2build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:02:46 +0200

gfal2-bindings (1.13.0-2build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:56:47 +0100

gfal2-bindings (1.13.0-2) unstable; urgency=medium

  * Add override rule for dh_python3 to set -V option

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 08 Aug 2024 23:22:04 +0200

gfal2-bindings (1.13.0-1) unstable; urgency=medium

  * New release 1.13.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 06 Aug 2024 11:10:23 +0200

gfal2-bindings (1.12.2-2) unstable; urgency=medium

  * Drop hardcoded library dependencies

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 29 Mar 2024 05:51:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: gfal2-bindings
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
  dh-python,
- libgfal2-dev (>= 2.22.0),
+ libgfal2-dev (>= 2.23.0),
  libboost-dev,
  libboost-python-dev,
  python3-dev,
  python3-setuptools,
- pkg-config
-Standards-Version: 4.6.2
+ pkgconf
+Standards-Version: 4.7.0
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/gfal2-bindings
 Vcs-Git: https://salsa.debian.org/ellert/gfal2-bindings.git

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,6 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(INSTALLDIR)
+
+override_dh_python3:
+	dh_python3 -V -
